%define pypi_name python-mpd2

Name:           python-mpd2
Version:        3.1.1
Release:        %mkrel 4
Summary:        Python bindings for MPD
Group:          Development/Python
License:        GPLv2
URL:            https://pypi.org/project/python-mpd2/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
An MPD (Music Player Daemon) client library written in pure Python.

%package -n python3-mpd2
Summary:	Python 3 bindings for MPD
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools
Obsoletes:      python3-mpd < 1.1.0

%description -n python3-mpd2
An MPD (Music Player Daemon) client library written in pure Python3.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mpd

%files -n python3-mpd2 -f %{pyproject_files}
%doc LICENSE.txt README.rst



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.1.1-4.mga10
+ Revision: 2238637
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 3.1.1-3.mga10
+ Revision: 2155323
- rebuild for python3.13

* Sat Mar 01 2025 wally <wally> 3.1.1-2.mga10
+ Revision: 2155248
- rebuild for python3.13

* Tue Feb 27 2024 daviddavid <daviddavid> 3.1.1-1.mga10
+ Revision: 2044723
- new version: 3.1.1
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 3.1.0-1.mga10
+ Revision: 1988326
- new 3.1.0

* Wed Mar 23 2022 umeabot <umeabot> 3.0.5-2.mga9
+ Revision: 1823577
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.0.5-1.mga9
+ Revision: 1783725
- version 3.0.5
- rebuild for python-3.10

* Sun Apr 18 2021 guillomovitch <guillomovitch> 3.0.4-1.mga9
+ Revision: 1716541
- new version 3.0.4

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.1.0-2.mga8
+ Revision: 1626359
- obsoletes binary package with old name too
- renaming
- new version 1.1.0
- rename to python-mpd2

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1535592
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.0.0-3.mga8
+ Revision: 1452479
- rebuild with python 3.8

* Wed Jan 09 2019 shlomif <shlomif> 1.0.0-2.mga7
+ Revision: 1353391
- Rebuild for python3 3.7
+ zezinho <zezinho>
- new version 1.0.0

* Thu Sep 20 2018 umeabot <umeabot> 0.5.5-3.mga7
+ Revision: 1289204
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.5.5-2.mga7
+ Revision: 1135503
- Rebuild for python 3.6

* Fri May 27 2016 philippem <philippem> 0.5.5-1.mga6
+ Revision: 1018964
- update to 0.5.5

* Fri Feb 19 2016 umeabot <umeabot> 0.5.1-9.mga6
+ Revision: 970945
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.1-8.mga6
+ Revision: 888813
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-7.mga5
+ Revision: 741561
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-6.mga5
+ Revision: 729112
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-5.mga5
+ Revision: 688160
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-4.mga5
+ Revision: 628813
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-3.mga4
+ Revision: 543661
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.1-2.mga4
+ Revision: 498934
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.5.1-1.mga4
+ Revision: 491682
- Update to 0.5.1

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-2.mga3
+ Revision: 379152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 0.4.3-1.mga3
+ Revision: 318322
- update to python-mpd2 0.4.3
- add Python3

* Wed Aug 24 2011 jquelin <jquelin> 0.3.0-2.mga2
+ Revision: 135140
- make sure cauldron version is higher

* Sat Jul 02 2011 kharec <kharec> 0.3.0-1.mga2
+ Revision: 117424
- new version
- fix file list

* Wed Jun 29 2011 jquelin <jquelin> 0.2.1-1.mga2
+ Revision: 115984
- imported package python-mpd

